<div class="container p-0">
    <div class="row no-gutters direction-rtl my-3 my-lg-4">
        <div class="col-xxl-4 col-xl-3 d-none d-xl-block">
            <div class="row no-gutters h-100">
                <app-section-live *ngIf="channels && channels.length"
                                  [Channels]="channels"
                                  class="w-100"></app-section-live>
            </div>
        </div>
        <div class="col-xxl-8 col-xl-9 col-12 pr-xl-4">
            <app-promotion-carousel *ngIf="promotions && promotions.length"
                                    [Promotions]="promotions"></app-promotion-carousel>
        </div>
        <div class="col-12 d-block d-xl-none my-4">
            <div class="row no-gutters h-100">
                <app-section-live *ngIf="channels && channels.length"
                                  [Channels]="channels"
                                  class="w-100"></app-section-live>
            </div>
        </div>
    </div>
    
    <!--<div class="row no-gutters">-->
    <!--<app-carousel [IsLazyLoadImage]="false"-->
    <!--[Items]="channels"-->
    <!--[TitleRoute]="'channels'"-->
    <!--[Title]="'پخش زنده و آرشیو'"-->
    <!--[Type]="generalService.configs.carouselTypes.channels"-->
    <!--class="w-100"></app-carousel>-->
    <!--</div>-->
    
    <div class="row no-gutters my-3">
        <app-section-episode-cover-style *ngIf="our_recommendation && our_recommendation.length"
                                         [Episodes]="our_recommendation"
                                         [SectionTitleRoute]="''"
                                         [SectionTitle]="'پیشنهاد تلوبیون'"
                                         class="w-100"></app-section-episode-cover-style>
        <!--<app-carousel [Items]="our_recommendation"-->
        <!--[TitleRoute]="'recommendation'"-->
        <!--[Title]="'پیشنهاد تلوبیون'"-->
        <!--[Type]="generalService.configs.carouselTypes.suggestion"-->
        <!--class="w-100"></app-carousel>-->
    </div>
    
    <div class="row no-gutters my-6">
        <app-in-your-pocket class="w-100"></app-in-your-pocket>
    </div>
    
    <div class="row no-gutters my-3">
        <app-section-episode-cover-style-with-promotion *ngIf="custom2 && custom2.length"
                                                        [Episodes]="custom2"
                                                        [SectionTitleRoute]="''"
                                                        [SectionTitle]="'فوتبال اروپا'"
                                                        class="w-100"></app-section-episode-cover-style-with-promotion>
        <!--<app-carousel [Items]="custom2"-->
        <!--[Title]="'فوتبال اروپا'"-->
        <!--[Type]="generalService.configs.carouselTypes.episodes"-->
        <!--class="w-100"></app-carousel>-->
    </div>
    
    <!--<div class="row no-gutters">-->
    <!--<app-carousel [Items]="custom"-->
    <!--[Title]="'فوتبال ایران'"-->
    <!--[Type]="generalService.configs.carouselTypes.episodes"-->
    <!--class="w-100"></app-carousel>-->
    <!--<app-section-episode-cover-style-with-promotion *ngIf="custom && custom.length > 0"-->
    <!--[Episodes]="custom"-->
    <!--[SectionTitleRoute]="''"-->
    <!--[SectionTitle]="'فوتبال ایران'"-->
    <!--class="w-100"></app-section-episode-cover-style-with-promotion>-->
    <!--</div>-->
    
    <div class="row no-gutters my-3">
        <!--<app-carousel [Items]="movies"-->
        <!--[TitleRoute]="'movies'"-->
        <!--[Title]="'فیلم'"-->
        <!--[Type]="generalService.configs.carouselTypes.movies"-->
        <!--class="w-100"></app-carousel>-->
        <app-section-episode-poster-style *ngIf="movies && movies.length"
                                          [Episodes]="movies"
                                          [SectionTitleRoute]="'movies'"
                                          [SectionTitle]="'فیلم'"
                                          class="w-100"></app-section-episode-poster-style>
    </div>
    
    <!--<div class="row no-gutters">-->
    <!--<app-carousel [Items]="series"-->
    <!--[TitleRoute]="'series'"-->
    <!--[Title]="'سریال'"-->
    <!--[Type]="generalService.configs.carouselTypes.series"-->
    <!--class="w-100"></app-carousel>-->
    <!--<app-section-program-poster-style *ngIf="series && series.length > 0"-->
    <!--[Items]="series"-->
    <!--class="w-100"></app-section-program-poster-style>-->
    <!--</div>-->
    
    <!--<div class="row no-gutters">-->
    <!--<app-carousel [Items]="user_recommendation"-->
    <!--[TitleRoute]="'hottest'"-->
    <!--[Title]="'پربازدیدترین‌ها'"-->
    <!--[Type]="generalService.configs.carouselTypes.episodes"-->
    <!--class="w-100"></app-carousel>-->
    <!--<app-section-episode-cover-style-with-promotion *ngIf="user_recommendation && user_recommendation.length > 0"-->
    <!--[Episodes]="user_recommendation"-->
    <!--[SectionTitleRoute]="''"-->
    <!--[SectionTitle]="'پربازدیدترین‌ها'"-->
    <!--class="w-100"></app-section-episode-cover-style-with-promotion>-->
    <!--</div>-->
    
    <!--<div class="row no-gutters">-->
    <!--<app-carousel [Items]="kids"-->
    <!--[TitleRoute]="'kids'"-->
    <!--[Title]="'کارتون'"-->
    <!--[Type]="generalService.configs.carouselTypes.episodes"-->
    <!--class="w-100"></app-carousel>-->
    <!--<app_section-program-cover-style-with-promotion *ngIf="kids && kids.length > 0"-->
    <!--[Items]="kids"-->
    <!--class="w-100"></app_section-program-cover-style-with-promotion>-->
    <!--</div>-->
</div>
